#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x962ad53d, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0xf7fe6f7a, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x44602ae4, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x439c8697, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x167407c2, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x6e2ab809, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xeda3188d, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x193c3c08, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0xa914c295, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x00b675c8, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x425912fc, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x9a811f37, "init_pid_ns" },
	{ 0x6e8a339, "single_open" },
	{ 0xfb2fc474, "pci_restore_state" },
	{ 0x39b873c8, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xf292b84e, "device_destroy" },
	{ 0x250337ee, "boot_cpu_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5220d44f, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9493fc86, "node_states" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xa02b57e7, "crypto_shash_update" },
	{ 0x4ff4746f, "__kmem_cache_create_args" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xeb91d9b6, "crypto_shash_import" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa2f3bb9f, "vmf_insert_pfn_prot" },
	{ 0x1b406160, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xadbe2b25, "set_pages_array_wb" },
	{ 0x55fcbbed, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd9da96db, "pci_get_domain_bus_and_slot" },
	{ 0xfe009c0e, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4ebf51ad, "vga_set_legacy_decoding" },
	{ 0xfcc1f0fe, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x97688c02, "node_data" },
	{ 0x82a6cee4, "__folio_put" },
	{ 0x7a3fd673, "pci_rebar_get_possible_sizes" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8b1b72e9, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0x4b5ff30d, "crypto_shash_tfm_digest" },
	{ 0xece784c2, "rb_first" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe04d2ebd, "pcie_capability_read_word" },
	{ 0x7111051a, "i2c_add_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdfccccc2, "pci_get_class" },
	{ 0x255fb162, "cdev_add" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x2901af68, "dma_buf_detach" },
	{ 0x668b19a1, "down_read" },
	{ 0xb060b4d4, "get_task_pid" },
	{ 0xc96099b5, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xdd79831d, "kmalloc_caches" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xd4615478, "dma_set_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc9d26805, "__alloc_pages_noprof" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ef4417, "crypto_aead_setkey" },
	{ 0xe71d54c7, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1fdfd00c, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a921311, "strncmp" },
	{ 0x7e2adde5, "dma_buf_unmap_attachment" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0x7c254cc2, "remove_proc_entry" },
	{ 0xa1104bd2, "proc_mkdir_mode" },
	{ 0x8f72c18f, "pci_write_config_dword" },
	{ 0xe6416cac, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x446668b8, "pci_read_config_dword" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x754d539c, "strlen" },
	{ 0x9361e093, "vm_insert_page" },
	{ 0x81a36689, "remap_pfn_range" },
	{ 0xc80cb4ee, "crypto_destroy_tfm" },
	{ 0x730f5ce, "find_vma_intersection" },
	{ 0x2a1a7aa, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xc3848cb7, "device_create" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0xe4cae1f2, "pci_enable_device" },
	{ 0x2ee39d46, "crypto_alloc_aead" },
	{ 0x66d685c2, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe71e04b3, "pci_dev_put" },
	{ 0x38caa90b, "__kmalloc_cache_noprof" },
	{ 0x79415b3a, "const_pcpu_hot" },
	{ 0xa8ded679, "single_release" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19c5a36c, "__vma_start_write" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0x2a7ef30c, "proc_create_data" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa564cecf, "seq_lseek" },
	{ 0xc24dd33d, "pci_read_config_byte" },
	{ 0xbd8b1824, "pci_write_config_word" },
	{ 0xb1ada6cc, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x63b2082, "pci_assign_unassigned_bus_resources" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xcf17a010, "task_active_pid_ns" },
	{ 0xf542127a, "iov_iter_kvec" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1628df89, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0xad1988be, "hrtimer_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xb1035bba, "pci_request_regions" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae832dab, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xcc9dfa5d, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa6257a2f, "complete" },
	{ 0x4c9158eb, "pci_read_config_word" },
	{ 0x69ab3614, "crypto_aead_decrypt" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1686a280, "ecc_is_pubkey_valid_full" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x51ae93ca, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x7a1cf7e1, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x686e9b2a, "kernel_write" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0xfddeb056, "efi" },
	{ 0x493ea7c, "pid_vnr" },
	{ 0x46e26e, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4d5314c3, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0xede0d98, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0x1b170d4e, "dma_set_coherent_mask" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa31d646e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc6f38b00, "public_key_verify_signature" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x95a8dd97, "fd_install" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf399adb, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf33fb6de, "pci_disable_msi" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x855591fb, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0xb4cea07a, "cdev_del" },
	{ 0xf95827a1, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6dc4d860, "put_pid" },
	{ 0x8e1038b2, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0xfe0e7e5b, "request_firmware" },
	{ 0x75f3b409, "pci_bus_type" },
	{ 0xdb2306a4, "crypto_aead_encrypt" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xc631580a, "console_unlock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x87cbd0fd, "dma_unmap_resource" },
	{ 0x7f1ed456, "crypto_shash_export" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf89959e4, "pci_enable_msi" },
	{ 0x2e0a2d9c, "pcpu_hot" },
	{ 0xfb578fc5, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0xe4cd8b2, "follow_pfnmap_end" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x34e90ff9, "__dma_sync_single_for_cpu" },
	{ 0xdcf41e0c, "kthread_create_on_node" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7d9975a0, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x55f7ae28, "class_destroy" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe900a411, "pci_resize_resource" },
	{ 0x6a421062, "memory_failure_queue" },
	{ 0xc7923eab, "pci_enable_msix_range" },
	{ 0x46a1e48e, "dma_ops" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd87714f4, "seq_printf" },
	{ 0x42643ade, "kthread_stop" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0x316f5cf4, "crypto_alloc_shash" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4a3023ae, "__seq_puts" },
	{ 0xa916b694, "strnlen" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa32147af, "kernel_read" },
	{ 0xb6247cd7, "__mmap_lock_do_trace_start_locking" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x1bf16fdb, "seq_read_iter" },
	{ 0xde80cd09, "ioremap" },
	{ 0x350d8aca, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x3142dfce, "unpin_user_page" },
	{ 0x4563bcb9, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa91ee82d, "key_type_asymmetric" },
	{ 0x59100486, "ecc_get_curve" },
	{ 0x73152eef, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x17ecc433, "__put_devmap_managed_folio_refs" },
	{ 0xe254b0b0, "pci_find_host_bridge" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x7d7f5a47, "pci_iomap" },
	{ 0xaf1e41c0, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xb63abe79, "dma_map_resource" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3e4da908, "pcibios_resource_to_bus" },
	{ 0xe83a7a06, "pci_stop_and_remove_bus_device" },
	{ 0x3d459133, "fget" },
	{ 0x8d5cde22, "kmem_cache_free" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe9fc9af9, "crypto_shash_final" },
	{ 0x94961283, "vunmap" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0xd02c9a8, "filp_close" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0x3a9b7ba0, "dma_alloc_attrs" },
	{ 0x4422938c, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2cf01fd3, "dma_map_page_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x349cba85, "strchr" },
	{ 0xbcaea001, "kmem_cache_alloc_noprof" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x73457fbd, "pm_vt_switch_required" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2cf28f2a, "dma_unmap_page_attrs" },
	{ 0x938706a6, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x249bd8c6, "dma_buf_get" },
	{ 0xfafd0d0a, "__free_pages" },
	{ 0x1ba79c3, "param_ops_charp" },
	{ 0x4db13c8e, "dma_buf_put" },
	{ 0x5cea12b6, "crypto_alloc_akcipher" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x90817e53, "filp_open" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x820c5db5, "set_pages_array_uc" },
	{ 0xf294a984, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5f3e4e1f, "follow_pfnmap_start" },
	{ 0x917567c8, "pci_unregister_driver" },
	{ 0x6013ce61, "address_space_init_once" },
	{ 0xf8f6d562, "vmalloc_to_page" },
	{ 0x29885ebf, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe6aa9191, "crypto_shash_setkey" },
	{ 0x8cd21206, "proc_remove" },
	{ 0x414a0d80, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x79b9211b, "dma_buf_fd" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x2cc5b9d5, "__tracepoint_read_msr" },
	{ 0x7926af5b, "pci_clear_master" },
	{ 0x444bc8f, "i2c_del_adapter" },
	{ 0xacb12112, "pin_user_pages" },
	{ 0xccc46fc3, "hv_get_isolation_type" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd6d7192f, "pci_release_resource" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x2a55f00c, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x69de294f, "pci_iounmap" },
	{ 0x34d18f85, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdeba1b40, "cdev_init" },
	{ 0xfa596f96, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "790E4EEA955540C57DE7E41");

MODULE_INFO(suserelease, "SLFO-1.2");
